wco.datamodel.wco.response_ds.dms._2

# DutyTaxFeeDeductAmountType

###
Related Doc: package _2

#### class DutyTaxFeeDeductAmountType extends AmountType

Linear Supertypes
AmountType, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DutyTaxFeeDeductAmountType
2. AmountType
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DutyTaxFeeDeductAmountType()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def getCurrencyID(): String

    Definition Classes
      AmountType

11. #### def getValue(): BigDecimal

    Definition Classes
      AmountType

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### def setCurrencyID(value: String): Unit

    Definition Classes
      AmountType

18. #### def setValue(value: BigDecimal): Unit

    Definition Classes
      AmountType

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AmountType

### Inherited from AnyRef

### Inherited from Any

### Ungrouped